%define	major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Real-time MIDI input/output, audio I/O library
Name:		portmidi
Epoch:		2
Version:	2.0.4
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		https://portmedia.sourceforge.net/
Source0:	https://github.com/PortMidi/portmidi/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		portmidi-2.0.4-porttime_cmake.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)

%description
PortMidi -- real-time MIDI input/output.

This package provides test applications that utilizes the shared portmidi and
porttime libraries.

 * portmidi-fast
 * portmidi-fastrcv
 * portmidi-latency
 * portmidi-midiclock
 * portmidi-midithread
 * portmidi-midithru
 * portmidi-mm
 * portmidi-multivirtual
 * portmidi-pmlist
 * portmidi-qtest
 * portmidi-recvvirtual
 * portmidi-sendvirtual
 * portmidi-sysex
 * portmidi-testio
 * portmidi-virttest

%package -n	%{libname}
Summary:	Real-time MIDI input/output, audio I/O library
Group:		System/Libraries

%description -n	%{libname}
PortMidi -- real-time MIDI input/output.

This package provides the shared libraries for portmidi and porttime.

%package -n	%{develname}
Summary:	Development files for PortMidi
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	porttime-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
PortMidi -- real-time MIDI input/output.

This package provides the development libraries and headers for portmidi and
porttime.

%prep
%autosetup -p1

sed -i 's|2.0.3|%{version}|' CMakeLists.txt

%build
%cmake \
       -DBUILD_JAVA_NATIVE_INTERFACE=OFF \
       -DBUILD_PORTMIDI_TESTS:BOOL=ON \
       -DCMAKE_SKIP_BUILD_RPATH=ON
%cmake_build

%install
%cmake_install

pushd build
for binary in $(find pm_test/ -maxdepth 1 -type f -executable) ; do
  bin="$(basename ${binary})"
  install -D -m 0755 "${binary}" %{buildroot}%{_bindir}/portmidi-${bin}
done
popd

%files
%doc CHANGELOG.txt README.md
%{_bindir}/portmidi-fast
%{_bindir}/portmidi-fastrcv
%{_bindir}/portmidi-latency
%{_bindir}/portmidi-midiclock
%{_bindir}/portmidi-midithread
%{_bindir}/portmidi-midithru
%{_bindir}/portmidi-mm
%{_bindir}/portmidi-multivirtual
%{_bindir}/portmidi-pmlist
%{_bindir}/portmidi-qtest
%{_bindir}/portmidi-recvvirtual
%{_bindir}/portmidi-sendvirtual
%{_bindir}/portmidi-sysex
%{_bindir}/portmidi-testio
%{_bindir}/portmidi-virttest

%files -n %{libname}
%doc CHANGELOG.txt README.md portmusic_logo.png pm_linux/README_LINUX.txt
%license license.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/libporttime.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.txt README.md
%{_includedir}/pmutil.h
%{_includedir}/%{name}.h
%{_includedir}/porttime.h
%{_libdir}/lib%{name}.so
%{_libdir}/libporttime.so
%{_libdir}/cmake/PortMidi/
%{_libdir}/pkgconfig/portmidi.pc


%changelog
* Sat Mar 23 2024 daviddavid <daviddavid> 2:2.0.4-1.mga10
+ Revision: 2051477
- new version: 2.0.4 (from new maintained project at https://github.com/PortMidi/portmidi)
- now libmajor is 2

* Tue Feb 27 2024 daviddavid <daviddavid> 1:217-20.mga10
+ Revision: 2044809
- limit parallel build otherwise it breaks portmidi libification (so->so.major->so.shared)

* Wed Dec 27 2023 daviddavid <daviddavid> 1:217-19.mga10
+ Revision: 2022075
- use python3-cython 0.29.x
- rebuild for py3.12

* Sun Mar 27 2022 umeabot <umeabot> 1:217-18.mga9
+ Revision: 1829391
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1:217-17.mga9
+ Revision: 1785937
- rebuild for python-3.10
- disable rpath checking

* Sat Mar 20 2021 daviddavid <daviddavid> 1:217-16.mga9
+ Revision: 1705356
- rebuild for python 3.9
+ wally <wally>
- add patch from Fedora to fix generating Cython C files during the build

* Sun Feb 16 2020 wally <wally> 1:217-15.mga8
+ Revision: 1534190
- add patch to fix str fmt
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 daviddavid <daviddavid> 1:217-14.mga8
+ Revision: 1445686
- rebuild for python3.8

* Wed Apr 17 2019 daviddavid <daviddavid> 1:217-13.mga7
+ Revision: 1391920
- build/package the pyportmidi module from Python3

* Thu Nov 01 2018 daviddavid <daviddavid> 1:217-12.mga7
+ Revision: 1327096
- add patch to enable missing libporttime shared library (mga#23794)
- add patch to fix libportmidi shared library soversion
- package more portmidi binaries

* Sun Sep 23 2018 umeabot <umeabot> 1:217-11.mga7
+ Revision: 1300347
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Sun Mar 12 2017 mitya <mitya> 1:217-10.mga6
+ Revision: 1092233
- fix build with latest CMake
- actually enable ALSA MIDI (via CMAKE_BUILD_TYPE=Release)

* Thu Jan 07 2016 danf <danf> 1:217-9.mga6
+ Revision: 920250
- Fixed building with new cmake

* Wed Oct 15 2014 umeabot <umeabot> 1:217-8.mga5
+ Revision: 748707
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:217-7.mga5
+ Revision: 687727
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:217-6.mga4
+ Revision: 517613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:217-5.mga3
+ Revision: 378091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1:217-4.mga3
+ Revision: 307456
- cleanup spec

* Sun May 01 2011 ahmad <ahmad> 1:217-4.mga1
+ Revision: 94037
- use the Epoch in the devel package requires/provides

* Sat Apr 30 2011 ahmad <ahmad> 1:217-3.mga1
+ Revision: 94022
- add an Epoch to smoothen upgrades from Mandriva 2010.1

* Tue Apr 05 2011 dams <dams> 217-2.mga1
+ Revision: 80801
- clean spec file

* Tue Apr 05 2011 dams <dams> 217-1.mga1
+ Revision: 80791
- import, clean and update to 217
- imported package portmidi


* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 20070107-3mdv2009.0
+ Revision: 242328
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 20070107-1mdv2008.0
+ Revision: 57170
- Import portmidi



* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 20070107-1mdv2008.0
- initial Mandriva package
